zen-sources-2.6.31-r2 with tuxonice

Today I patched the  brand new zen-sources-2.6.31-r2 with tuxonice. Again it required the modified tuxonice patch of my last ebuild.

Suspend to RAM works at least on my Dell Precison M65 as well as suspend to disk does.

Download the zen-sources 2.6.31-zen2 patch here: zen-sources.org. Then apply the patch to vanilla kernel sources. Afterwards download my modified tuxonice patch from here: current-tuxonice-for-2.6.31-zen1.patch-20090911-v1.bz2 (1015). Then apply it.

For Gentoo users there is a more easy way: Download my modified overlay (including the patches) from zen-sources-toi-2.6.31-r2.tar.bz2 (956) and extract it in /usr/local/portage. Be sure to include the following line in your /etc/make.conf:

PORTDIR_OVERLAY=”/usr/local/portage”

Then emerge zen-sources-toi and buld the kernel as you wish.

Tuxonice is not officially supported in zen-sources. So If you’re using the files above, don’t report any bugs to zen-sources.org. You are on your own.

For my Precision M65 I used the following kernel config: kconfig_zen-sources-toi-2.6.31-r2-precision_m65 (879)

All Information regarding the iwl3945 driver, the aha152x pcmcia scsi card and cpu undervolting in my last post on zen-sources-toi still apply to this version.

For more information on the zen-sources patchset see www.zen-sources.org.

best regards

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...

iptables mirror target for kernel version 2.6.31

The iptables mirror target I published here does not work anymore with kernel version 2.6.31. You can download the newer version for 2.6.31 and probably future kernels here:

MIRROR.2.6.31 (2805) gplv3-127x51

To build the module, boot  the kernel you want to use the module with. Afterwards unpack the archive, run the compile.sh script and the install.sh script.

Now you may use the mirror target in place of the reject or drop target  in the INPUT, FORWARD and PREROUTING chains, like this in your firewall script:

$IPTABLES -A INPUT -j MIRROR

Beware: The use of the mirror target may have strange results, i.e. if you want to connect to the iptables protected machine, you may end up connecting to the local machine without recognizing it. It also may use much bandwith. Worst case: if you have two machines using this module they may end up playing pingpong. So you have been warned, use with caution and at your own risk. For more information see: MIRROR target.

Downloads for older kernel versions are below. Notice the version numbering 2.6.25 works for kernels up to 2.6.27. 2.6.28 also works for 2.6.29 and 2.6.30 kernels.

MIRROR.2.6.24.tar.gz (3199)
MIRROR.2.6.25.tar.gz (2948)
MIRROR.2.6.28.tar.gz (2993)
gplv3-127x51

These versions do not work with 2.6.35 kernels. See iptables mirror target for kernel version 2.6.35 for the newer one.

regards

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (1 votes, average: 5.00 out of 5)
Loading...

zen-sources-2.6.31-r1 with tuxonice

Today I patched the  new zen-sources-2.6.31-r1 with tuxonice. This time it was a bit more complicated since the two patches are conflicting. So I modified the tuxonice patch to apply cleanly over the zen-kernel.

Suspend to RAM works at least on my Dell Precison M65 as well as suspend to disk does.

Download the zen-sources 2.6.31-zen1 patch here: zen-sources.org. Then apply the patch to vanilla kernel sources. Afterwards download my modified tuxonice patch from here: current-tuxonice-for-2.6.31-zen1.patch-20090911-v1.bz2 (1015). Then apply it.

For Gentoo users there is a more easy way: Download my modified overlay (including the patches) from zen-sources-toi-2.6.31-r1.tar.bz2 (939) and extract it in /usr/local/portage. Be sure to include the following line in your /etc/make.conf:

PORTDIR_OVERLAY=”/usr/local/portage”

Then emerge zen-sources-toi and buld the kernel as you wish.

To work around the black screen problem with some nvidia-drivers versions occuring with 2.6.30 kernels, discussed at gentoo forums, I had to upgrade to nvidia-drivers-190.18. Most probably this problem persists with 2.6.31. Strangely the issue did only occur on my Precision M65 with a Quadro FX350M. It did not occur with the Quadro FX3400 in my Desktop PC, Nvidia-drivers-185.18.31 are running there without any problems.

Tuxonice is not officially supported in zen-sources. So If you’re using the files above, don’t report any bugs to zen-sources.org. You are on your own.

For my Precision M65 I used the following kernel config: kconfig_zen-sources-toi-2.6.31.1-precision_m64.zip (852)

If you want to use all channels with the iwl3945 driver change the line static char *ieee80211_regdom = “US”; to static char *ieee80211_regdom = “JP”; in the file net/wireless/reg.c.

If you also own of those old 16 Bit Adaptec pcmcia scsi cards using the aha152x_cs module you might want to enable it also for 64 Bit kernels. It was masked for 64 Bit kernels somewhere before 2.6.13. I was unable to find out the reason for this so I tried to compile the module. When I insert the card, the module loads properly. Since the drive I could test it with, is currently attached to another box and in use, I can´t try it out for the moment. Once I tried I´ll keep you updated.

To enable the driver remove the line

depends on !64BIT

in the config PCMCIA_AHA152X section in /usr/src/linux/drivers/scsi/pcmcia/Kconfig and select the module in menuconfig.

Addon: I tried a SCSI cdrom with this and it works perfectly. I just filed a bug on this on bugzilla.kernel.org and hope for the driver being unmasked for future  64 Bit kernels.

If you are using this kernel on a notebook with i.e. a Core2 CPU you might be interesting to undervolt your CPU to save power and to produce less heat (keeps the fan off longer). This works like a charm on my M65. Information on this topic can be found here: aldeby.org. The linux-pch patch mentioned there is already included in zen-sources, thus you only have to perform the userspace part begnning at (3).

For image compression in tuxonice include Compressor lzo in your suspend2.conf file.

Sadly the iptables mirror target I published here does not work anymore with the 2.6.31 kernel. A newer version will be available soon on mygnu.de.

For more information on the zen-sources patchset see www.zen-sources.org.

best regards

Jürgen

1 Star2 Stars3 Stars4 Stars5 Stars (No Ratings Yet)
Loading...